Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudgetDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudgetDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateBudgetDetail.cs	(revision 51)
@@ -31,7 +31,7 @@
         /// <summary>
         /// 積算予算データ明細フィールド並び
         /// </summary>
-        public enum EstimateBudgetDetailColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	// 工事番号
 
@@ -91,7 +91,7 @@
         }
         #endregion
 
-        #region パブリックメソッド
+        #region 積算予算データ明細検索
         /// <summary>
         /// 積算予算データ明細検索
         /// </summary>
@@ -128,8 +128,12 @@
                 return false;
             }
         }
+        #endregion
 
         #region 1件データ読込処理
+        /// <summary>
+        /// 1件データ読込処理
+        /// </summary>
         public bool SelectAction(string AddSQLString, ref EstimateBudgetDetail data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -162,6 +166,7 @@
         }
         #endregion
 
+        #region 積算予算データ明細追加
         /// <summary>
         /// 積算予算データ明細追加
         /// </summary>
@@ -190,8 +195,8 @@
                 strcmd += string.Format(", {0}", work.NegotiationPrice);        // 交渉時金額
                 strcmd += string.Format(",'{0}'", work.Notes);                  // 注意事項
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -204,7 +209,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 積算予算データ明細追加
         /// <summary>
         /// 積算予算データ明細追加
         /// </summary>
@@ -227,7 +234,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 積算予算データ明細更新
         /// <summary>
         /// 積算予算データ明細更新
         /// </summary>
@@ -257,7 +266,7 @@
                 strcmd += string.Format(", NegotiationPrice = {0}", data.NegotiationPrice);         // 交渉時金額
                 strcmd += string.Format(", Notes = '{0}'", data.Notes);                             // 注意事項
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -270,8 +279,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 積算予算データ明細削除
         /// <summary>
         /// 積算予算データ明細削除
         /// </summary>
@@ -296,8 +306,75 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 1項目更新処理
         /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE EstimateBudgetDetail";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:     // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.GroupCount:           // グループ番号
+                        strcmd += string.Format(" GroupCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.LineCount:            // 行番号
+                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ComponentCode:        // 構成キー
+                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ItemCode:		        // 工種キー
+                        strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CompanyCode:          // 協力会社コード
+                        strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.FirstString:          // 構成名称
+                        strcmd += string.Format(" FirstString = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.SecondString:         // 工種名称・協力会社名
+                        strcmd += string.Format(" SecondString = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.EstimatePrice:        // 見積時金額
+                        strcmd += string.Format(" EstimatePrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.NegotiationPrice:     // 交渉時金額
+                        strcmd += string.Format(" NegotiationPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.Notes:                // 注意事項
+                        strcmd += string.Format(" Notes = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
         /// <param name="reader">OracleDataReader</param>
@@ -308,22 +385,22 @@
             {
                 // データ取得
 
-                wrk.ConstructionCode = int.Parse(objwrk[(int)EstimateBudgetDetailColumn.ConstructionCode].ToString());          // 工事番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());          // 工事番号
 
-                wrk.GroupCount = int.Parse(objwrk[(int)EstimateBudgetDetailColumn.GroupCount].ToString());	                    // グループ番号
-                wrk.LineCount = int.Parse(objwrk[(int)EstimateBudgetDetailColumn.LineCount].ToString());	                    // 行番号
-                wrk.ComponentCode = int.Parse(objwrk[(int)EstimateBudgetDetailColumn.ComponentCode].ToString());	            // 構成キー
-                wrk.ItemCode = int.Parse(objwrk[(int)EstimateBudgetDetailColumn.ItemCode].ToString());		                    // 工種キー
-                wrk.CompanyCode = int.Parse(objwrk[(int)EstimateBudgetDetailColumn.CompanyCode].ToString());	                // 協力会社コード
-                wrk.FirstString = objwrk[(int)EstimateBudgetDetailColumn.FirstString].ToString();	                            // 構成名称
-                wrk.SecondString = objwrk[(int)EstimateBudgetDetailColumn.SecondString].ToString();	                            // 工種名称・協力会社名
-                wrk.EstimatePrice = double.Parse(objwrk[(int)EstimateBudgetDetailColumn.EstimatePrice].ToString());	            // 見積時金額
-                wrk.NegotiationPrice = double.Parse(objwrk[(int)EstimateBudgetDetailColumn.NegotiationPrice].ToString());	    // 交渉時金額
+                wrk.GroupCount = int.Parse(objwrk[(int)TableColumn.GroupCount].ToString());	                    // グループ番号
+                wrk.LineCount = int.Parse(objwrk[(int)TableColumn.LineCount].ToString());	                    // 行番号
+                wrk.ComponentCode = int.Parse(objwrk[(int)TableColumn.ComponentCode].ToString());	            // 構成キー
+                wrk.ItemCode = int.Parse(objwrk[(int)TableColumn.ItemCode].ToString());		                    // 工種キー
+                wrk.CompanyCode = int.Parse(objwrk[(int)TableColumn.CompanyCode].ToString());	                // 協力会社コード
+                wrk.FirstString = objwrk[(int)TableColumn.FirstString].ToString();	                            // 構成名称
+                wrk.SecondString = objwrk[(int)TableColumn.SecondString].ToString();	                            // 工種名称・協力会社名
+                wrk.EstimatePrice = double.Parse(objwrk[(int)TableColumn.EstimatePrice].ToString());	            // 見積時金額
+                wrk.NegotiationPrice = double.Parse(objwrk[(int)TableColumn.NegotiationPrice].ToString());	    // 交渉時金額
 
-                wrk.Notes = objwrk[(int)EstimateBudgetDetailColumn.Notes].ToString();                                           // 注意事項
+                wrk.Notes = objwrk[(int)TableColumn.Notes].ToString();                                           // 注意事項
                 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)EstimateBudgetDetailColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)EstimateBudgetDetailColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -336,7 +413,7 @@
         }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -362,6 +439,9 @@
 
             return strWork;
         }
+        #endregion
+
+        #region 構造体クリア
         /// <summary>
         /// 構造体クリア
         /// </summary>
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateData.cs	(revision 51)
@@ -179,8 +179,8 @@
                 strcmd += string.Format(", {0}", work.MyExpensesFlg);           // 自社経費フラグ
                 strcmd += string.Format(", {0}", work.InputFlg);                // 入力フラグ
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -244,7 +244,7 @@
                 strcmd += string.Format(", MyExpensesFlg = {0}", data.MyExpensesFlg);       // 自社経費フラグ
                 strcmd += string.Format(", InputFlg = {0}", data.InputFlg);                 // 入力フラグ
                 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -286,6 +286,68 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE EstimateData";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:     // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.LineCount:            // 行番号
+                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ComponentCode:        // 構成キー
+                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.FixedItemCode:        // 固定項目キー
+                        strcmd += string.Format(" FixedItemCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ItemName:             // 作業名称
+                        strcmd += string.Format(" ItemName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.WorkName:             // 品質・形状・寸法
+                        strcmd += string.Format(" WorkName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.PriceValue:           // 金額
+                        strcmd += string.Format(" PriceValue = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.Note:                 // 備考
+                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.MyExpensesFlg:
+                        strcmd += string.Format(" MyExpensesFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.InputFlg:
+                        strcmd += string.Format(" InputFlg = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region データセット処理
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -320,8 +382,40 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
             }
         }
+        #endregion
 
-
+        #region データクリア処理
+        /// <summary>
+        /// データクリア処理
+        /// </summary>
+        /// <param name="wrk">構造体</param>
+        public void ClearStruct(ref EstimateData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode = 0;           // 工事番号
+                wrk.LineCount = 0;                  // 行番号
+                wrk.ComponentCode = 0;              // 構成キー
+                wrk.FixedItemCode = string.Empty;	// 固定項目キー
+                wrk.ItemName = string.Empty;      	// 作業名称
+                wrk.WorkName = string.Empty;      	// 品質・形状・寸法
+                wrk.PriceValue = 0;                 // 金額
+                wrk.Note = string.Empty;			// 備考
+                wrk.MyExpensesFlg = 0;              // 自社経費フラグ
+                wrk.InputFlg = 0;                   // 入力フラグ
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
         #endregion
 
         #region 最大値取得処理
@@ -410,8 +504,8 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
-                //strcmd = "UPDATE EstimateData SET EntryDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                //strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                //strcmd = "UPDATE EstimateData SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 //strcmd += CreatePrimarykeyString(FromCode);
 
                 //// SQL実行
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataBody.cs	(revision 51)
@@ -180,8 +180,8 @@
                 strcmd += string.Format(",'{0}'", work.PageTitle);	        // ページ表示名
                 strcmd += string.Format(", {0}", work.DetailLineCount);     // 明細行番号
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -249,7 +249,7 @@
                 strcmd += string.Format(",PageTitle ='{0}'", data.PageTitle);                // ページ表示名
                 strcmd += string.Format(",DetailLineCount = {0}", data.DetailLineCount);    // 明細行番号
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -291,6 +291,65 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE EstimateDataBody";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:     // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PageCount:		    // ページ番号
+                        strcmd += string.Format(" PageCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.Category:             // 頁区分
+                        strcmd += string.Format(" Category = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.UnionComponentCode:	// 所属構成キー
+                        strcmd += string.Format(" UnionComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ComponentCode:		// 構成キー
+                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ItemCode:		        // 工種キー
+                        strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SelectComponent:		// 選択構成キー
+                        strcmd += string.Format(" SelectComponent = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PageTitle:            // ページ表示名
+                        strcmd += string.Format(" PageTitle = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.DetailLineCount:      // 明細行番号
+                        strcmd += string.Format(" DetailLineCount = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region データセット処理
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -327,6 +386,41 @@
         }
         #endregion
 
+        #region データクリア処理
+        /// <summary>
+        /// データクリア処理
+        /// </summary>
+        /// <param name="wrk">構造体</param>
+        public void ClearStruct(ref EstimateDataBody wrk)
+        {
+            try
+            {
+                // データ取得
+
+                wrk.ConstructionCode = 0;       // 工事番号
+                wrk.PageCount = 0;              // ページ番号
+                wrk.Category = 0;               // ページ区分
+                wrk.UnionComponentCode = 0;     // 所属構成キー
+                wrk.ComponentCode = 0;          // 構成キー
+                wrk.ItemCode = 0;               // 工種キー
+                wrk.SelectComponent = 0;        // 選択構成キー
+                wrk.PageTitle = string.Empty;   // ページ表示名
+                wrk.DetailLineCount = 0;        // 選択構成キー
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
         #region 検索文字列作成処理
         /// <summary>
         /// 主キー検索の文字列を返す
@@ -375,8 +469,8 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
-                //strcmd = "UPDATE EstimateDataBody SET EntryDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                //strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                //strcmd = "UPDATE EstimateDataBody SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 //strcmd += CreatePrimarykeyString(FromCode);
 
                 //// SQL実行
